/*
 * SunLibCompiler.java
 *
 * Apr 16, 1999  Michiaki Tatsubori
 */
package JP.ac.tsukuba.openjava;


import java.io.*;
import openjava.ojc.JavaCompiler;


/**
 * The class <code>SunLibCompiler</code> is an adapter for the compiler
 * which invokes Sun's library javac.
 * <p>
 * The class path must includes lib/tools.jar in the jdk package.
 *
 * @since jdk1.2
 */
public class SunLibCompiler implements JavaCompiler
{
    sun.tools.javac.Main m;

    public SunLibCompiler() {
	m = new sun.tools.javac.Main( System.err, "javac" );
    }

    public static void main( String[] args ) {
        new SunLibCompiler().compile( args );
    }

    public void compile( String[] args ) {
        //sun.tools.javac.Main.main( args );
	m.compile( args );
    }
       
}
